libsub-exporter-perl_0.986-1_all.deb


Advertisement

Description

libsub-exporter-perl - sophisticated exporter for custom-built routines

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libsub-exporter-perl
Package version 0.986
Package release 1
Package architecture all
Package type deb
Installed size 135 B
Download size 48.71 KB
Official Mirror ftp.br.debian.org
When you use a perl module, first it is "required" function used, then its
import method is called.
Sub::Exporter provides a sophisticated alternative to Exporter.pm.  It allows
for renaming, currying/sub-generation etc.
Sub::Exporter builds a custom exporter which can then be installed into your
module. It builds this method based on configuration passed to its
setup_exporter method.

Alternatives

Package Version Architecture Repository
libsub-exporter-perl_0.986-1_all.deb 0.986 all Debian Main
libsub-exporter-perl - - -

Requires

Name Value
libdata-optlist-perl -
libsub-install-perl -
perl -

Download

Type URL
Binary Package libsub-exporter-perl_0.986-1_all.deb
Source Package libsub-exporter-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsub-exporter-perl deb package:
    # sudo apt-get install libsub-exporter-perl

Files

Path
/usr/share/doc/libsub-exporter-perl/changelog.Debian.gz
/usr/share/doc/libsub-exporter-perl/changelog.gz
/usr/share/doc/libsub-exporter-perl/copyright
/usr/share/man/man3/Sub::Exporter.3pm.gz
/usr/share/man/man3/Sub::Exporter::Cookbook.3pm.gz
/usr/share/man/man3/Sub::Exporter::Tutorial.3pm.gz
/usr/share/man/man3/Sub::Exporter::Util.3pm.gz
/usr/share/perl5/Sub/Exporter.pm
/usr/share/perl5/Sub/Exporter/Cookbook.pod
/usr/share/perl5/Sub/Exporter/Tutorial.pod
/usr/share/perl5/Sub/Exporter/Util.pm

Changelog

2013-10-11 - gregor herrmann <gregoa@debian.org>
libsub-exporter-perl (0.986-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
* Drop spelling.patch, merged upstream.
* Update years of packaging copyright.
* Declare compliance with Debian Policy 3.9.4.
2012-06-09 - gregor herrmann <gregoa@debian.org>
libsub-exporter-perl (0.984-1) unstable; urgency=low
[ Ansgar Burchardt ]
* Email change: Ansgar Burchardt -> ansgar@debian.org
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* New upstream release.
* debian/rules: remove override_dh_auto_test (test variable does not
apply anymore).
* Refresh and forward spelling patch.
* debian/copyright: update to Copyright-Format 1.0.
* debian/copyright: remove third-party info, update years of copyright
and license stanzas.
* Remove build dependencies that are not needed anymore.
* Remove version from libdata-optlist-perl (build) dependency.
* Bump Standards-Version to 3.9.3 (no changes).
* Set debhelper compatibility level to 8.
2010-05-28 - gregor herrmann <gregoa@debian.org>
libsub-exporter-perl (0.982-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ gregor herrmann ]
* Convert to source format 3.0 (quilt).
* Minimize debian/rules.
* Add /me to Uploaders.
* Set Standards-Version to 3.8.4; remove version from perl build dependency.
* debian/copyright: refresh formatting.
* Add a patch to fix a spelling mistake.
2008-10-25 - Ansgar Burchardt <ansgar@43-1.org>
libsub-exporter-perl (0.981-1) unstable; urgency=low
* New upstream release.
2008-09-24 - Ansgar Burchardt <ansgar@43-1.org>
libsub-exporter-perl (0.980-1) unstable; urgency=low
[ Ansgar Burchardt ]
* New upstream release.
* Refresh debian/rules for debhelper 7
* Convert debian/copyright to proposed machine-readable format
* Add myself to Uploaders
* debian/control: Remove article from description
* debian/rules: enable additional tests by setting RELEASE_TESTING=1
* Remove build-dep on libperl-critic-perl (tests not run before anyway and
fail now)
* Bump Standards Version to 3.8.0 (no changes)
[ gregor herrmann ]
* debian/watch: extended regexp for matching upstream releases.
2008-05-05 - Krzysztof Krzy┼╝aniak (eloy) <eloy@debian.org>
libsub-exporter-perl (0.979-1) unstable; urgency=low
* New upstream release
2008-01-26 - Roberto C. Sanchez <roberto@debian.org>
libsub-exporter-perl (0.978-2) unstable; urgency=low
[ gregor herrmann ]
* debian/rules: delete /usr/lib/perl5 only if it exists.
[ Rene Mayorga ]
* Prepare for Perl 5.10 update
* debian/control:
+ Raise debhelper version to 6
+ Add libtest-perl-critic-perl to B-D-I
* debian/compat: set level to 6
* debian/rules
+ use $@ for touch -stamp files
+ Don't Install README
+ Add PERL_TEST_CRITIC=1 to enable more tests
2007-12-27 - Gunnar Wolf <gwolf@debian.org>
libsub-exporter-perl (0.978-1) unstable; urgency=low
[ gregor herrmann ]
* New upstream release.
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza). Removed: XS-
Vcs-Svn fields.
* Set debian/compat to 5 (the versioned dependency on debhelper in
debian/control was already correct).
* Use dist-based URL in debian/watch.
* debian/rules:
- let install-stamp depend on build-stamp
- remove unused call to dh_installexamples
[ Gunnar Wolf ]
* Added myself as an uploader
* Bumped up standards-version to 3.7.3 (no changes needed)

See Also

Package Description
libsub-exporter-progressive-perl_0.001011-1_all.deb module for using Sub::Exporter only if needed
libsub-identify-perl_0.08-1_amd64.deb module to retrieve names of code references
libsub-infix-perl_0.004-1_all.deb create a fake infix operator
libsub-install-perl_0.928-1_all.deb module for installing subroutines into packages easily
libsub-name-perl_0.12-1_amd64.deb module for assigning a new name to referenced sub
libsub-override-perl_0.09-1_all.deb Perl module used to temporarily override subroutines
libsub-prototype-perl_0.02-2+b1_amd64.deb module to set a subroutine's prototype
libsub-recursive-perl_0.03-1_all.deb Perl module for memory-leak free recursive anonymous subroutines
libsub-uplevel-perl_0.2400-1_all.deb module to spoof the Perl call stack
libsub-wrappackages-perl_2.0-1_all.deb module to wrap subroutines in packages
libsublib-cil_0.9-4_all.deb CLI library that eases the development of subtitling applications
libsublime-dev_1.7.0-2_amd64.deb development files for the sublime user interface library
libsublime8_1.7.0-2_amd64.deb User interface library
libsubtitleeditor-dev_0.33.0-3_amd64.deb subtitleeditor lib - development files
libsubtitleeditor0_0.33.0-3_amd64.deb subtitleeditor lib - runtime files
Advertisement
Advertisement